CGAL 6.2 - 2D Circular Geometry Kernel: CircularKernel::ConstructLineArc_2 Concept Reference

CGAL 6.2 - 2D Circular Geometry Kernel

Loading...
Searching...
No Matches
List of all members
CircularKernel::ConstructLineArc_2 Concept Reference
Reference Manual » Geometric Concepts

## Definition

## Operations
A model of this concept must provide:
CircularKernel::Line_arc_2 | operator() (const CircularKernel::Line_2 &l, const CircularKernel::Circular_arc_point_2 &p1, const CircularKernel::Circular_arc_point_2 &p2)
| Constructs the line segment supported by `l`, whose source is `p1` and whose target is `p2`.
CircularKernel::Line_arc_2 | operator() (const CircularKernel::Segment_2 &s)
CircularKernel::Line_arc_2 | operator() (const CircularKernel::Point_2 &p1, const CircularKernel::Point_2 &p2)
CircularKernel::Line_arc_2 | operator() (const CircularKernel::Line_2 &l, const CircularKernel::Circle_2 &c1, bool b1, const CircularKernel::Circle_2 &c2, bool b2)
| Constructs the line segment whose supporting line is `l`, whose source endpoint is the \( b_1^{th}\) intersection of `l` with `c1`, and whose target endpoint is the \( b_2^{th}\) intersection of `l` and `c2`, where intersections are ordered lexicographically.
CircularKernel::Line_arc_2 | operator() (const CircularKernel::Line_2 &l, const CircularKernel::Line_2 &l1, const CircularKernel::Line_2 &l2)
| Same, for intersections defined by lines instead of circles.

## Member Function Documentation

## ◆ operator()() [1/2]

CircularKernel::Line_arc_2 CircularKernel::ConstructLineArc_2::operator() | ( | const CircularKernel::Line_2 & | l,
|  | const CircularKernel::Circle_2 & | c1,
|  | bool | b1,
|  | const CircularKernel::Circle_2 & | c2,
|  | bool | b2
| ) |  |

Constructs the line segment whose supporting line is `l`, whose source endpoint is the \( b_1^{th}\) intersection of `l` with `c1`, and whose target endpoint is the \( b_2^{th}\) intersection of `l` and `c2`, where intersections are ordered lexicographically.

Precondition
  `l` intersects both `c1` and `c2`, and the arc defined by the intersections has non-zero length.

## ◆ operator()() [2/2]

CircularKernel::Line_arc_2 CircularKernel::ConstructLineArc_2::operator() | ( | const CircularKernel::Line_2 & | l,
|  | const CircularKernel::Circular_arc_point_2 & | p1,
|  | const CircularKernel::Circular_arc_point_2 & | p2
| ) |  |

Constructs the line segment supported by `l`, whose source is `p1` and whose target is `p2`.

Precondition
  `p1` and `p2` lie on `l`.